> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rag.now/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the connection status

> Get the status of a connection.



## OpenAPI

````yaml get /api/connect/connection-status
openapi: 3.0.3
info:
  title: Graphite API Documentation
  description: API documentation for Graphite
  version: 1.0.0
servers: []
security: []
paths:
  /api/connect/connection-status:
    get:
      tags:
        - graphite-connect
      summary: Get the connection status
      description: Get the status of a connection.
      parameters:
        - schema:
            type: string
            enum:
              - zendesk_support
              - notion
              - confluence
              - shopify
              - gitbook
          in: query
          name: source_type
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetConnectionStatusResponse'
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    GetConnectionStatusResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - active
            - inactive
      required:
        - status
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        message:
          type: string
      required:
        - error
        - message

````